Bug 1774963 (CVE-2019-19068) - CVE-2019-19068 kernel: A memory leak in the rtl8xxxu_submit_int_urb() function in drivers/net/wireless/realtek/rtl8xxxu/rtl8xxxu_core.c allows for a DoS
Summary: CVE-2019-19068 kernel: A memory leak in the rtl8xxxu_submit_int_urb() functio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19068
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1774965 1829887 1829888 1829889
Blocks: 1774966
TreeView+ depends on / blocked
 
Reported: 2019-11-21 10:44 UTC by Marian Rehak
Modified: 2021-02-16 21:01 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A memory leak in the realtek driver allows an attacker to cause a denial of service through memory consumption. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:23:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4431 0 None None None 2020-11-04 00:49:40 UTC
Red Hat Product Errata RHSA-2020:4609 0 None None None 2020-11-04 02:21:25 UTC

Description Marian Rehak 2019-11-21 10:44:55 UTC
A memory leak in the rtl8xxxu_submit_int_urb() function in drivers/net/wireless/realtek/rtl8xxxu/rtl8xxxu_core.c in the Linux kernel through 5.3.11 allows attackers to cause a denial of service (memory consumption) by triggering usb_submit_urb() failures.

Upstream Issue:

https://github.com/torvalds/linux/commit/a2cdd07488e666aa93a49a3fc9c9b1299e27ef3c

Comment 1 Marian Rehak 2019-11-21 10:45:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1774965]

Comment 4 Petr Matousek 2020-04-30 14:20:27 UTC
Mitigation:

In order to mitigate this issue it is possible to prevent the affected code from being loaded by blacklisting the kernel module rtl8xxxu. For instructions relating to how to blacklist a kernel module refer to: https://access.redhat.com/solutions/41278 .

Comment 5 Petr Matousek 2020-04-30 14:25:09 UTC
Statement:

This issue is rated as having Low impact because of the preconditions needed to trigger the error/resource cleanup code path (physical access and/or system-wide out-of-memory condition).

Comment 7 errata-xmlrpc 2020-11-04 00:49:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 8 errata-xmlrpc 2020-11-04 02:21:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609

Comment 9 Product Security DevOps Team 2020-11-04 02:23:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19068


Note You need to log in before you can comment on or make changes to this bug.